Jump to content


Photo

Debian Lenny Xentools Kernel cryptet partition- No CRYPTOLOOP modul

Started by Joerg Hansen , 03 June 2009 - 11:34 PM
3 replies to this topic

Joerg Hansen Members

Joerg Hansen
  • 5 posts

Posted 03 June 2009 - 11:34 PM

I install Debian Lenny with the Lenny Template.
Everything works fine.
I have 4 cryptet partition and mount them without any problems.

Now I installt the XEN-Tools 5.5 beta
Lenny get updatet to kernel 2.6.29-xs5.5.0.13
Everything works fine exept I cant mount my cryptet partition.
I tried to make a new cryptet partition -- no change
After some searching i fint out that the cryptoloop dm-crypt ... moduls in the kernel was missing.
I check the kernelconfig in the boot dir and fint that "CONFIG_BLK_DEV_CRYPTOLOOP is not set"
In the original Lenny kernel and in the XEN-Tools Debian ETCH it is set to modul.

Will that change in the final Version????

I triet to fix that problem with the 5.5 beta DDK by recompiling the kernel but.....
The 5.5 beta DDK has a mutch older kernel version 2.6.18-128.
It is completely useless to try to make driver for the new kernel.
I also have to make new driver for Acronis Backup but i cant do that with that DDK.

I will be very grateful if somebody has a workaround ?

greetings JH



Carl Fischer Citrix Employees

Carl Fischer
  • 184 posts

Posted 05 June 2009 - 10:09 AM

Joerg -

You should be able to recompile the new Lenny kernel installed by the XenTools within the Lenny VM itself, and add the options you want.

The DDK only supports building drivers to be run in dom0, so it has that corresponding kernel version.

We've recorded an issue to sync the config we use for our kernel to be as similar to the upstream Lenny kernel as possible, but that won't happen for 5.5.

Re building the Acronis backup driver - if you are wanting to build it for use within the Lenny VM, build it there. If you want to build it for use within dom0 use the DDK.

Carl



Joerg Hansen Members

Joerg Hansen
  • 5 posts

Posted 05 June 2009 - 01:33 PM

Hello Carl,

thanks for your answer.
I fint out about my mistake with the DDK by myself...
Think i was a little bit frustrated that night...
The Acronis modul for dom0 are finish an works fine.

I will start to make a new kernel for Lenny going out from the modul config from the Debian Etch template this weekend, just in case for some other missing moduls.

Do you have any information about that the final 5.5 tools will use the same kernel version for Lenny?
I don't want to make the same work twice.

Greetings Joerg



Carl Fischer Citrix Employees

Carl Fischer
  • 184 posts

Posted 10 June 2009 - 10:10 AM

IIRC there was a bug fix between beta and RTM that resulted in a change to the Lenny kernel version supplied by the XenTools. So you may want to wait until the final bits are available.

Carl